Foreman - Bug #15344

Unable to add compute resource of type RHEV
06/08/2016 07:53 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Compute resources - oVirt
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1343391 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3579
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1343391
Description of problem:
Build: satellite 6.2 snap 14.1

Version-Release number of selected component (if applicable):

How reproducible:
Try to add compute resource of type RHEV using required parameters

Actual results:

Unable to save

ERF56-1309 [Foreman::FingerprintException]: The remote system presented a public key signed by an unidentified certificate
authority. If you are sure the remote system is authentic, go to the compute resource edit page, press the 'Test Connection' or 'Load
Datacenters' button and submit

Expected results:
Compute resource should be added successfully

Additional info:
Added screenshot.

Related issues:
Related to Foreman - Bug #15066: Unable to provision hosts on RHEV < 3.6 Closed 05/16/2016

Associated revisions

Revision edb83962 - 06/09/2016 03:12 AM - Marek Hulan

Fixes #15344 - recover from fingerprint error on validation

Revision 4f5¢c80db - 06/17/2016 08:06 AM - Marek Hulan

Fixes #15344 - recover from fingerprint error on validation

(cherry picked from commit edb839629c94822c387b340f2db5e1efb8106ea8)

History

#1 - 06/08/2016 07:54 AM - Marek Hulan
- Category changed from Compute resources to Compute resources - oVirt
- Status changed from New to Assigned

- Priority changed from High to Normal

The problem is only when the CA cert is not installed. A workaround is to configure it manually.

#2 - 06/08/2016 07:54 AM - Marek Hulan
https://bugzilla.redhat.com/show_bug.cgi?id=1343391

- Related to Bug #15066: Unable to provision hosts on RHEV < 3.6 added

#3 - 06/08/2016 07:55 AM - Marek Hulan

- translation missing: en.field_release set to 136

This bug was introduced in 1.12 so setting as a target release for it. Patch will be available soon.

#4 - 06/08/2016 08:18 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3579 added

#5 - 06/09/2016 04:02 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset edb839629c94822c387b340f2db5e1efb8106ea8.
